<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [JSCoverageOptions](./puppeteer.jscoverageoptions.md)

## JSCoverageOptions interface

Set of configurable options for JS coverage.

<b>Signature:</b>

```typescript
export interface JSCoverageOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [reportAnonymousScripts](./puppeteer.jscoverageoptions.reportanonymousscripts.md) | boolean | Whether anonymous scripts generated by the page should be reported. |
|  [resetOnNavigation](./puppeteer.jscoverageoptions.resetonnavigation.md) | boolean | Whether to reset coverage on every navigation. |

